package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.JyProjectApiFallbackFactory;
import com.jeeplus.flowable.factory.MonthlyFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.context.annotation.Primary;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Primary
@FeignClient(contextId = "MonthlyApi", name = AppNameConstants.APP_JYPROJECT_MODULES, fallbackFactory = MonthlyFallbackFactory.class)
public interface MonthlyApi {

    @GetMapping(value = "/monthly/getList")
    String getList();


}
