package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.ApplyFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;


@FeignClient(contextId = "ApplyApi", name = AppNameConstants.APP_JYPROJECT_MODULES, fallbackFactory = ApplyFallbackFactory.class)
public interface RegularApplyApi {

    @GetMapping(value = "/employeeEntry/getList")
    String getList();


}
