package com.jeeplus.sys.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.sys.domain.Log;
import com.jeeplus.sys.factory.LogApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "logApi", name = AppNameConstants.APP_SYSTEM_SERVICE, fallbackFactory = LogApiFallbackFactory.class)
public interface ILogApi {

    /**
     * 保存日志
     */
    @PostMapping(value = "/feign/log/save")
    void save(@RequestBody Log log);
}
