package com.jeeplus.assess.invoice.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票-发票作废
 * @TableName finance_invoice_invalid
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FinanceInvoiceInvalidDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 是否作废
     */
    private String invalidStatus;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 流程信息
     */
    private String processDefinitionId;

    private static final long serialVersionUID = 1L;
}