package com.jeeplus.assess.invoice.service.mapstruct;

import com.jeeplus.core.mapstruct.EntityWrapper;
import com.jeeplus.assess.invoice.domain.FinanceInvoiceBase;
import com.jeeplus.assess.invoice.domain.FinanceInvoiceReceivables;
import com.jeeplus.assess.invoice.service.dto.FinanceInvoiceBaseDTO;
import com.jeeplus.assess.invoice.service.dto.FinanceInvoiceReceivablesDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE, uses = {})
public interface FinanceInvoiceReceivablesWrapper extends EntityWrapper<FinanceInvoiceReceivablesDTO, FinanceInvoiceReceivables>{

        FinanceInvoiceReceivablesWrapper INSTANCE = Mappers.getMapper(FinanceInvoiceReceivablesWrapper.class);

}
