package com.jeeplus.assess.program.configuration.projectList.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 新项目管理-项目登记-三级校审-评估人员
 * @TableName program_audit_assess_people
 */
@Data
@TableName(value = "program_audit_assess_people")
public class ProgramAuditAssessPeople extends BaseEntity {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 校审id
     */
    private String auditId;

    /**
     * 评估人员
     */
    private String assessPeople;

    private static final long serialVersionUID = 1L;
}