package com.jeeplus.assess.program.configuration.projectList.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.program.configuration.projectList.domain.ProgramAudit;
import com.jeeplus.assess.program.configuration.projectList.service.dto.ProgramAuditDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.program.configuration.projectList.domain.ProgramAudit
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface ProgramAuditMapper extends BaseMapper<ProgramAudit> {
    @InterceptorIgnore(tenantLine = "true")
    ProgramAuditDto findByIdAudit(String id);

    String findIdByProIdAndLevel(@Param("programId") String programId, @Param("auditLevel") String auditLevel);

    /**
     * 根据项目id去查询校审的id（一、二、三）
     * @param programId
     * @return
     */
    List<String> getIDsByProId(@Param("programId")String programId);
}




