package com.jeeplus.assess.reimbursement.reimbursementInfo.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

@Data
@TableName(value = "reimbursement_detail_info")
public class ReimbursementDetailInfo extends BaseEntity {

    /**
     * 关联id
     */
    private String infoId;

    /**
     * 报销人
     */
    private String userId;

    /**
     * 报销人名称
     */
    private String userName;

    /**
     * 报销部门
     */
    private String deptId;

    /**
     * 报销部门名称
     */
    private String deptName;

    /**
     * 报销类型
     */
    private String typeId;

    /**
     * 报销类型名称
     */
    private String typeName;

    /**
     * 报销项目
     */
    private String projectId;

    /**
     * 报销项目名称
     */
    private String projectName;

    /**
     * 报告号
     */
    private String reportNumber;

    /**
     * 费用(元)
     */
    private String number;

    /**
     * 收据张数
     */
    private Integer receiptNumber;

    /**
     * 出差天数
     */
    private Integer days;

    /**
     * 内容
     */
    private String content;

    /**
     * 排序
     */
    private String sort;
}
