package com.jeeplus.assess.workClientInfo.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("work_client_bank")
public class WorkClientBank extends BaseEntity {

    /**
     * 开户银行
     */
    private String ourBank;

    /**
     * 开户账号
     */
    private String bankNumber;

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 外键关联客户信息表
     */
    private String clientId;

}
