package com.jeeplus.assess.workContract.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName("work_contract_borrow_message")
public class WorkContractBorrowMessage extends BaseEntity {

    private String contractBorrowId;

    private String name;

    private String borrowName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowData;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowRetData;

    private String borrowType;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date retData;

}
