package com.jeeplus.assess.workContract.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.workContract.domain.WorkContractBorrow;
import com.jeeplus.assess.workContract.domain.WorkContractBorrowMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface WorkContractBorrowMapper extends BaseMapper<WorkContractBorrow> {

    void updateStatusById(@Param("id") String id, @Param("borrowType")String borrowType);

    @InterceptorIgnore(tenantLine = "true")
    void updateStatusByContractInfoId(@Param("id") String id, @Param("borrowType")String borrowType);

    WorkContractBorrow selectFileByContractInfoId (@Param("id") String id);

    void updateMessageByBorrowId(@Param("id") String id, @Param("borrowType")String borrowType, @Param("type")String type);
    @InterceptorIgnore(tenantLine = "true")
    void deleteMessageById(@Param("id") String id);

    List<WorkContractBorrowMessage> findMessageList(@Param("id") String id);
}
