package com.jeeplus.assess.workContract.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.workContract.domain.WorkContractFile;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface WorkContractFileMapper extends BaseMapper<WorkContractFile> {

    void updateStatusById(@Param("id") String id, @Param("filedType")String filedType);
    @InterceptorIgnore(tenantLine = "true")
    WorkContractFile selectFileByContractInfoId (@Param("id") String id);
}
