package com.jeeplus.business.borrow.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("jy_refund")
public class Refund extends BaseEntity {

    /**
     * 还款金额(小写)
     */
    private String refundLower;

    //还款金额(大写)
    private String refund;

    //借款表id
    private String borrowId;

    //剩余借款金额
    private String finalMoney;

    /**
     * 流程
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;
    @TableField(exist = false)
    private String createName;

}
