package com.jeeplus.business.borrow.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
public class BorrowDTO extends BaseEntity {
    //借款编号（字典值）
    public static final String BIZ_CODE = "38";

    /**
     * 编号
     */
    @Excel(name = "编号",width = 16)
    private String no;

    /**
     * 借款理由
     */
    @Excel(name = "借款用途",width = 16)
    private String reason;

    /**
     * 借款金额大小写
     */
    @Excel(name = "借款金额",width = 16)
    private String moneyLower;
    private String money;

    /**
     * 实际借款金额
     */
    @Excel(name = "剩余借款金额",width = 16)
    private String finalMoney;

    /**
     * 流程
     */
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    /**
     * 状态
     */
    private String status;

    /**
     * 部门名称
     */
    @Excel(name = "借款人部门",width = 16)
    private String officeName;
    private String officeId;

    //借款人
    @Excel(name = "借款人",width = 16)
    private String createName;
    @Excel(name = "借款时间",width = 16,exportFormat = "yyyy-MM-dd")
    private Date createTime;
    @Excel(name = "借款状态",width = 16)
    private String borrowStatus;
    @Excel(name = "还款状态",width = 16)
    private String refStatus;

    //借款时间
    private String[] createDates;

    //对冲金额(还款金额)
    @Excel(name = "对冲金额",width = 16)
    private String refundLower;
    private String refund;

    //借款金额
    private String[] borrowAmounts;

    //还款id
    private String refundId;

    //还款流程
    private String procInsIdRefund;
    private String procDefIdRefund;
    private String taskIdRefund;

    //还款状态
    private String refundStatus;

    private String boMoney;

}
