package com.jeeplus.business.borrow.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("jy_refund")
public class RefundDTO extends BaseEntity {

    /**
     * 还款金额(小写)
     */
    private String refundLower;

    //还款金额(大写)
    private String refund;

    //借款表id
    private String borrowId;

    /**
     * 流程
     */
    private String procInsId;
    private String processDefinitionId;
    private String taskId;

    /**
     * 状态
     */
    private String status;

    //剩余借款金额
    private String finalMoney;

}
