package com.jeeplus.business.drive.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 嘉溢-用车结算
 */

@Data
@TableName("jy_drive_account")
public class DriveAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 起使里程数
     */
    private String startMileage;

    /**
     * 截至里程数
     */
    private String endMileage;

    /**
     * 历程总数
     */
    private String mileageCount;

    /**
     * 关联申请表id
     */
    private String applyId;


    /**
     * 流程id
     */
    private String procInsId;
    /**
     * 流程信息
     */
    private String processDefinitionId;
    @TableField(exist = false)
    private String taskId;

    /**
     * 状态
     */
    private String status;

}
