package com.jeeplus.business.drive.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.drive.domain.DriveInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DriveInfoMapper extends BaseMapper<DriveInfo> {

    IPage<DriveInfo> findPageList(Page<DriveInfo> page,@Param(Constants.WRAPPER) QueryWrapper<DriveInfo> queryWrapper);

    void updateInfoById(@Param("info") DriveInfo info);

    DriveInfo findById(@Param("id") String id);

    DriveInfo checkNumber(@Param("number")String number);
}
