package com.jeeplus.business.finance.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 财务管理-发票基本信息
 * @TableName cw_finance_invoice_base
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("jy_finance_invoice_base")
public class JyFinanceInvoiceBase extends BaseEntity implements Serializable {

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目名称
     */
    private String programName;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 项目编号
     */
    private String programNo;

    /**
     * 合同id
     */
    private String contractId;

    private String account;
    /**
     * 类型 项目1,报告2,其他0
     */
    private String type;



    private static final long serialVersionUID = 1L;
}
