package com.jeeplus.business.finance.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 财务管理-发票-收款明细
 * @TableName cw_finance_invoice_receivables
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("jy_finance_invoice_receivables")
public class JyFinanceInvoiceReceivables extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 汇款单位
     */
    private String remittanceUnit;

    /**
     * 汇款金额
     */
    private String remittanceAmount;

    /**
     * 汇款时间
     */
    private Date remittanceDate;

    /**
     * 是否收款
     */
    private String status;

    private static final long serialVersionUID = 1L;
}
