package com.jeeplus.business.humanResources.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("jy_dimission_process")
public class JyDimissionProcess extends BaseEntity {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 报告号
     */
    private String no;

    /**
     * 项目负责人
     */
    private String projectLeader;

    /**
     * 项目进度
     */
    private String process;

    /**
     * 进度完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date processTime;

    /**
     * 离职表id
     */
    private String dimissionId;

    /**
     * 部门
     */
    private String officeName;

}
