package com.jeeplus.business.humanResources.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.humanResources.domain.StaffDimission;
import com.jeeplus.business.humanResources.service.dto.StaffDimissionDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface StaffDimissionMapper extends BaseMapper<StaffDimission> {
    IPage<StaffDimissionDTO> findPageList(@Param(Constants.WRAPPER) QueryWrapper<StaffDimissionDTO> queryWrapper, Page<StaffDimissionDTO> page);

    StaffDimissionDTO findById(@Param("id") String id);

    void updateStatusById(@Param("status") String status,@Param("id") String id);
}
