package com.jeeplus.business.humanResources.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.business.humanResources.domain.JyDimissionProcess;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/*
员工交接表
 */
@Data
@TableName("staff_heir")
public class StaffHeirDTO extends BaseEntity {

    //交接人
    private String heir;

    private String status;                //流程状态
    private String procInsId;
    private String processDefinitionId;

    private String taskId;

    //离职id
    private String dimissionId;

    //项目进度信息
    private List<JyDimissionProcess> processList;

}
