package com.jeeplus.business.inscription.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("jy_inscription")
public class Inscription extends BaseEntity {

    /**
     * 关联项目
     */
    private String projectId;
    @TableField(exist = false)
    private String projectName;

    /**
     * 黑白页数量
     */
    private Integer normalPage;

    /**
     * 彩页数量
     */
    private Integer colorPage;

    /**
     * 装订数量
     */
    private Integer bookbindingNum;

    /**
     * 其他
     */
    private Integer otherNum;

    /**
     * 文印内容
     */
    private String content;

    /**
     * 部长
     */
    private String minister;

    /**
     * 核准人
     */
    private String examiner;

    //批准人
    private String approver;

    //流程
    private String procInsId;
    private String processDefinitionId;

    //状态
    private String status;



}
