package com.jeeplus.business.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.knowledge.domain.KnowledgeShareDetail;
import com.jeeplus.business.knowledge.service.dto.KnowledgeShareListDto;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface KnowledgeShareDetailMapper extends BaseMapper<KnowledgeShareDetail> {

    IPage<KnowledgeShareListDto> findList(Page<KnowledgeShareListDto> page, @Param("detail") KnowledgeShareDetail detail);

    List<WorkAttachmentInfoDTO> findDtos(@Param("id")String id);
}
