package com.jeeplus.business.knowledge.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class KnowledgeShareListDto {

    /**
     * 主键
     */
    private String id;

    /**
     * 创建人
     */
    private String createName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:dd")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateById;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除状态
     */
    private Integer delFlag;

    /**
     * 知识分享类型id
     */
    private String typeId;

    /**
     * 主题
     */
    private String title;

    /**
     * 内容
     */
    private String detail;

    /**
     * 阅读量
     */
    private Integer visitNum;

    /**
     * 回复量
     */
    private Integer commentNum;

}
