package com.jeeplus.business.monthly.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.monthly.domain.JyProcess;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyProcessMapper extends BaseMapper<JyProcess> {
    @InterceptorIgnore(tenantLine = "true")
    List<JyProcess> findByMonthId(@Param("id") String id);
}
