package com.jeeplus.business.project.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.List;
/**
 * 嘉溢-环评项目资质
 */

@Data
@TableName("jy_project_eia_qualification")
public class JyProjectEiaQualification extends BaseEntity {

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 登记状态
     */
    private String status;

    /*
    流程id
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfo> fileList;

    private static final long serialVersionUID = 1L;


}
