package com.jeeplus.business.project.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName("jy_project_reports_submit")
public class JyProjectReportsSubmit extends BaseEntity {

    private String procInsId;

    private String processDefinitionId;
    /**
     * 审核状态
     */
    private String status;


    /**
     * 类型(大类)
     */
    private String firstType;

    /**
     * 类型(小类)
     */
    private String type;

    /**
     * 份数
     */
    private Integer number;

    /**
     * 关联项目
     */
    private String projectId;


    /*
    说明
     */
    private String remarks;

    /**
     * 申请人部门
     */
    @TableField(exist = false)
    private String office;

    /*
       逾期状态
    */
    private String exceedTimeStatus;

    /**
     * 首次发起时间
     */
    private Date firstSubmitTime;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;





}
