package com.jeeplus.business.project.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.project.domain.JyProjectArchive;
import com.jeeplus.business.project.domain.JyProjectOutinstance;
import com.jeeplus.business.project.service.dto.JyProjectArchiveDTO;
import com.jeeplus.business.project.service.dto.JyProjectOutinstanceDTO;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JyProjectArchiveMapper extends BaseMapper<JyProjectArchive> {

    JyProjectArchiveDTO findById(@Param("id")String id);

    List<WorkAttachmentInfoDTO> findDtos(@Param("id")String id);

    List<WorkAttachmentInfoDTO> getFileListByAttachmentAndModuleType(@Param("attachmentId")String attachmentId , @Param("moduleType")String moduleType);
}
