package com.jeeplus.business.project.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.business.workContractInfo.service.dto.JyWorkContractInfoDto;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.List;

/**
 * 嘉溢-环评项目资质
 */

@Data

public class JyProjectEiaQualificationDTO extends BaseDTO {

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 登记状态
     */
    private String status;

    /*
    流程id
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<WorkAttachmentInfoDTO> fileList;

    private JyProjectDTO jyProjectList;

    private JyWorkContractInfoDto jyWorkContractInfoList;

    private static final long serialVersionUID = 1L;


}
