package com.jeeplus.business.project.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.io.Serializable;

/**
 * 项目管理-项目组成员
 * @TableName program_members
 */
@Data
public class JyProjectMembersDTO extends BaseDTO {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 状态  0为正常  1为移除
     */
    private String status;

    /**
     * 项目主要成员  1为主要成员 
     */
    private String isImportant;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String name;
    @TableField(exist = false)
    private String officeName;
    @TableField(exist = false)
    private String roleName;
    @TableField(exist = false)
    private String mobile;


}