package com.jeeplus.business.useSeal.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

@Data
@TableName("jy_user_signet")
public class Signet extends BaseEntity {
    //用印编号（字典值）
    public static final String BIZ_CODE = "37";

    private String procInsId;

    private String processDefinitionId;
    /**
     * 审核状态
     */
    private String status;

    /**
     * 用印编号
     */
    private String no;

    /**
     * 用印类型(大类)
     */
    private String firstType;

    /**
     * 用印类型(小类)
     */
    private String type;

    /**
     * 用印份数
     */
    private Integer number;

    /**
     * 关联项目
     */
    private String projectId;

    /**
     * 关联项目名称
     */
    private String projectName;

    /*
    说明
     */
    private String remarks;

    /**
     * 类型状态(1:报告 2:报批)
     */
    private String typeStatus;

    /**
     * 申请人部门
     */
    @TableField(exist = false)
    private String office;

    /*
       逾期状态
    */
    private String exceedTimeStatus;

    /**
     * 外审id
     */
    @TableField(exist = false)
    private String outInstanceId;

    @TableField(exist = false)
    private List<String> types;





}
