package com.jeeplus.business.workContractInfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.workContractInfo.domain.JyContractParticipant;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-15 13:44
 **/
public interface JyContractParticipantMapper extends BaseMapper<JyContractParticipant> {

    /**
     * 估计infoid删除相关的参与签约方信息
     * @param InfoId
     */
    void deleteFromParticipant(String InfoId);


    List<JyContractParticipant> findByInfoId(@Param("infoID") String infoID);
}
