package com.jeeplus.devtools;

import com.jeeplus.core.annotation.JeeplusCloudApplication;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cache.annotation.EnableCaching;

/**
 * 代码生成模块
 *
 * @author jeeplus
 */


@EnableCaching
@MapperScan("com.jeeplus.**.mapper.**")
@JeeplusCloudApplication
public class JeeplusDevtoolsApplication {
    public static void main(String[] args) {
        SpringApplication.run ( JeeplusDevtoolsApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 开发真工具启动成功 ^_^ﾞ  \n" + "     _                         _                       _                  _                     _       \n" +
                "   (_)                       | |                     | |                | |                   | |      \n" +
                "    _    ___    ___   _ __   | |  _   _   ___      __| |   ___  __   __ | |_    ___     ___   | |  ___ \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|    / _` |  / _ \\ \\ \\ / / | __|  / _ \\   / _ \\  | | / __|\n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   | (_| | |  __/  \\ V /  | |_  | (_) | | (_) | | | \\__ \\\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/    \\__,_|  \\___|   \\_/    \\__|  \\___/   \\___/  |_| |___/\n" +
                "  _/ |               | |                                                                               \n" +
                " |__/                |_|                                                                               " );
    }

}
