package com.jeeplus.finance.common.enterpriseSearch;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class EnterpriseJsonRespDTO {

    private Integer error_code;

    private Boolean success;

    private String message;

    private D data;

    @Data
    class D {
        private BigDecimal searchtime;

        private Integer total;

        private String num;

        private Integer viewtotal;

        private List<Items> items;
    }

    @Data
    class Items {
        private String entname;

        private String legalname;

        private String esdate;

        private Integer id;

        private String companyid;
    }


}
