package com.jeeplus.finance.common.flowable.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 流程审核通过时需要的参数
 */
@Data
public class CommitParamDTO<T> implements Serializable {

    private String taskId;
    private String taskDefKey;
    private String procInsId;
    private String procDefId;
    private String assignee;
    private T vars;
    private Cope cope; // 抄送的参数，按需使用

    @Data
    class Cope implements Serializable{
        private List<String> userIds;
        private String procDefId;
        private String procInsId; // 后端自己给，前端没传
        private String procDefName;
        private String procInsName;
        private String taskName;
    }

//    @Data
//    class Comment {
//        private String assignee;
//        private String message;
//        private String status;
//        private String type;
//        private List<String> userIds;
//    }
}
