package com.jeeplus.finance.projectBusinessType.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectBusinessType.domain.CwProjectBusinessType;
import com.jeeplus.finance.projectBusinessType.service.dto.CwProjectBusinessTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

@Mapper
//@InterceptorIgnore(tenantLine = "true")
public interface CwProjectBusinessTypeMapper extends BaseMapper<CwProjectBusinessType> {

    public IPage<CwProjectBusinessTypeDTO> findList(Page<CwProjectBusinessTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwProjectBusinessType> queryWrapper);

    public CwProjectBusinessTypeDTO queryById(@Param("id") String id);

    public List<CwProjectBusinessTypeDTO> getList();

    //是否显示下边的子集修改
    void updateIsShowByIds(@Param("ids") List<String> ids, @Param("isShow") String isShow);

    //查询子集数据
    List<CwProjectBusinessType> selectByParentIds(@Param("ids") List<String> ids);

    List<CwProjectBusinessTypeDTO> listTree(@Param(Constants.WRAPPER) QueryWrapper<CwProjectBusinessType> queryWrapper);

    IPage<CwProjectBusinessTypeDTO> findListByIsShow(Page<CwProjectBusinessTypeDTO> page, @Param(Constants.WRAPPER)QueryWrapper<CwProjectBusinessType> queryWrapper);
}




