package com.jeeplus.finance.projectBusinessType.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import javax.validation.constraints.Size;
import java.util.List;

/**
 * 财务-项目管理-业务类型管理
 * @TableName cw_project_business_type
 */
@Data
public class CwProjectBusinessTypeDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;

    @Size(min = 1, max = 1)
    private String isShow;

    /**
     * 子集合
     */
    private List<CwProjectBusinessTypeDTO> childrenList;

    /**
     * 排序号
     * */
    private Integer sortMark;

    private static final long serialVersionUID = 1L;
}
