package com.jeeplus.finance.projectRecords.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 项目管理-项目登记-客户联系人页签
 * @TableName cw_project_client_contact
 */
@TableName(value ="cw_project_client_contact")
@Data
public class CwProjectClientContact extends BaseEntity {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 部门
     */
    private String officeId;

    /**
     * 职务
     */
    private String position;

    /**
     * 联系方式1
     */
    private String contactFirst;

    /**
     * 联系方式2
     */
    private String contactSecond;

    /**
     * 传真
     */
    private String fax;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 客户联系人关联id
     */
    private String clientContactId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
