package com.jeeplus.finance.projectRecords.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 项目管理-项目登记-项目组成员
 * @TableName cw_project_members
 */
@Data
public class CwProjectMembersDTO extends BaseDTO {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 人员id
     */
    private String userId;

    /**
     * 状态
     */
    private String status;

    /**
     * 项目主要成员
     */
    private String isImportant;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
