package com.jeeplus.finance.projectReportArchive.service.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author: 王强
 * @create: 2022-11-27 14:00
 **/
@Data
public class CwProjectReportBorrowDto extends BaseDTO {

    private String reportId;

    private String procInsId;

    private String processDefinitionId;

    private String projectName;

    private String reportNo;

    private String clientName;

    private String borrowName;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowData;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowRetData;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    private String remarks;

    private String borrowType;

    private String type;

}
