package com.jeeplus.finance.reimbursementApproval.approvalInfo.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.finance.reimbursementApproval.approvalInfo.domain.*;
import com.jeeplus.finance.reimbursementApproval.approvalInfo.service.dto.ReportNoDto;
import com.jeeplus.finance.reimbursementApproval.approvalInfo.service.dto.RetureListDto;
import com.jeeplus.finance.reimbursementApproval.approvalInfo.service.dto.TreeUserDto;
//import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-24 16:09
 **/
//@InterceptorIgnore(tenantLine = "true")
public interface CwReimbursementInfoMapper extends BaseMapper<CwReimbursementInfo> {

    IPage<ProgramProjectListInfo> findProjectList(Page<ProgramProjectListInfo> page, @Param(Constants.WRAPPER) QueryWrapper<ProgramProjectListInfo> wrapper);

    String selectInvoiceFlag(@Param("id") String id);

    IPage<RetureListDto> findList (Page<RetureListDto> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper, @Param("officeIds")String officeIds);

    List<WorkAttachmentInfo> findFiles(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    List<TreeUserDto> findOfficeList();

    List<TreeUserDto> findUserList(@Param("name") String name);

    List<RetureListDto> findExportList (@Param(Constants.WRAPPER) QueryWrapper queryWrapper);

    IPage<RetureListDto> relationReimbursementList (Page<RetureListDto> page, @Param("id") String id);

    IPage<ReportNoDto> getReportNoList(Page<ReportNoDto> page, @Param(Constants.WRAPPER) QueryWrapper<ReportNoDto> queryWrapper);

    List<CwReimbursementDetailInfoContract> getContractDetailList(@Param("id") String id);

    List<CwReimbursementDetailInfoReport> getReportDetailList(@Param("id") String id);

    List<CwReimbursementDetailInfoOther> getOtherDetailList(@Param("id") String id);

    List<CwReimbursementDetailInfoProcured> getProcuredDetailList(@Param("id") String id);

    List<CwReimbursementDetailInfo> getDetailList(@Param("id") String id);
}
