package com.jeeplus.finance.workClientInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户-修改申请临时表/修改记录表

 * @TableName cw_work_client_temp
 */
@TableName(value ="cw_work_client_temp")
@Data
public class CwWorkClientTemp extends BaseEntity {
    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 客户id
     */
    private String clientId;

    /**
     * 源数据json
     */
    private String sourceData;

    /**
     * 审核状态
     */
    private String status;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
