package com.jeeplus.finance.workClientInfo.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.workClientInfo.domain.CwManageLevelType;
import com.jeeplus.finance.workClientInfo.service.dto.CwManageLevelTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.cw.workClientInfo.domain.CwManageLevelType
 */
@Mapper
//@InterceptorIgnore(tenantLine = "true")
public interface CwManageLevelTypeMapper extends BaseMapper<CwManageLevelType> {

    public IPage<CwManageLevelTypeDTO> findList(Page<CwManageLevelTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<CwManageLevelType> queryWrapper);

    public CwManageLevelTypeDTO queryById(@Param("id") String id);

    public List<CwManageLevelTypeDTO> getList();

    List<CwManageLevelType> selectByName(@Param(Constants.WRAPPER) QueryWrapper<CwManageLevelType> queryWrapper);

    List<CwManageLevelType> selectByParentIds(@Param(Constants.WRAPPER) LambdaQueryWrapper<CwManageLevelType> queryWrapper);
}




