//package com.jeeplus.flowable.controller;
//
//import io.swagger.annotations.Api;
//import org.flowable.engine.RuntimeService;
//import org.flowable.task.api.Task;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.http.HttpStatus;
//import org.springframework.http.ResponseEntity;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.RestController;
//
///**
// * @author: 王强
// * @create: 2023-07-24 13:36
// **/
//@RestController
//@Api(value = "我的通知")
//@RequestMapping("/flowable/notification")
//public class NotificationController {
//    @Autowired
//    private RuntimeService runtimeService;
//
//    @PostMapping("/completeTask")
//    public ResponseEntity<String> completeTask(@RequestParam("taskId") String taskId) {
//        try {
//            Task task = runtimeService.createTaskQuery().taskId(taskId).singleResult();
//            if (task == null) {
//                return ResponseEntity.badRequest().body("Invalid task ID.");
//            }
//
//            // 完成任务
//            runtimeService.complete(taskId);
//
//            // 发送通知给用户
//            sendNotification(task.getAssignee());
//
//            return ResponseEntity.ok("Task completed successfully.");
//        } catch (Exception e) {
//            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).body("Error completing task: " + e.getMessage());
//        }
//    }
//
//    private void sendNotification(String userId) {
//        // 发送通知的具体逻辑
//        // 可以使用第三方库或服务发送通知，如电子邮件、短信、推送通知等
//        // 这里仅作为示例，假设发送电子邮件通知
//        String email = getEmailFromUserId(userId);
//        // 发送电子邮件通知的代码...
//    }
//
//    private String getEmailFromUserId(String userId) {
//        // 根据用户ID查询用户电子邮件地址的逻辑
//        // 例如从数据库或用户存储中获取电子邮件地址
//        // 这里仅作为示例，返回一个固定的电子邮件地址
//        return "user@example.com";
//    }
//}
