package com.jeeplus.pubmodules;

import com.jeeplus.core.annotation.JeeplusCloudApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 公共模块
 */
@EnableCaching
@JeeplusCloudApplication
public class JeeplusPublicModulesApplication {
    public static void main(String[] args) {
        SpringApplication.run ( JeeplusPublicModulesApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 公共模块启动成功 ^_^ﾞ  \n" +
                "    _                         _                                       _                      \n" +
                "   (_)                       | |                                     | |                     \n" +
                "    _    ___    ___   _ __   | |  _   _   ___     ___   _   _   ___  | |_    ___   _ __ ___  \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   / __| | | | | / __| | __|  / _ \\ | '_ ` _ \\ \n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   \\__ \\ | |_| | \\__ \\ | |_  |  __/ | | | | | |\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/   |___/  \\__, | |___/  \\__|  \\___| |_| |_| |_|\n" +
                "  _/ |               | |                                 __/ |                               \n" +
                " |__/                |_|                                |___/                                " );
    }
}
