/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.sys.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.sys.domain.DictValue;
import com.jeeplus.sys.mapper.DictValueMapper;
import com.jeeplus.sys.service.dto.DictValueDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 数据字典Service
 *
 * @author lgf
 * @version 2021-01-16
 */
@Service
@Transactional
public class DictValueService extends ServiceImpl <DictValueMapper, DictValue> {
    @Autowired
    private DictValueMapper dictValueMapper;

    public DictValue findById(String id){
        DictValue dictValueDTO=dictValueMapper.findById(id);
        return dictValueDTO;
    }

}

