/**
 * Copyright © 2021-2025 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.test.activiti.service.mapstruct;


import com.jeeplus.core.mapstruct.EntityWrapper;
import com.jeeplus.test.activiti.service.dto.TestActivitiLeaveDTO;
import com.jeeplus.test.activiti.domain.TestActivitiLeave;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

/**
 *  TestActivitiLeaveWrapper
 * @author 刘高峰
 * @version 2023-03-08
 */
@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE, uses = {} )
public interface TestActivitiLeaveWrapper extends EntityWrapper<TestActivitiLeaveDTO, TestActivitiLeave> {

    TestActivitiLeaveWrapper INSTANCE = Mappers.getMapper(TestActivitiLeaveWrapper.class);
}

