/**
 * Copyright © 2021-2025 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.test.note.service.mapstruct;


import com.jeeplus.core.mapstruct.EntityWrapper;
import com.jeeplus.test.note.service.dto.TestNoteDTO;
import com.jeeplus.test.note.domain.TestNote;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

/**
 *  TestNoteWrapper
 * @author 刘高峰
 * @version 2023-02-09
 */
@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE, uses = {} )
public interface TestNoteWrapper extends EntityWrapper<TestNoteDTO, TestNote> {

    TestNoteWrapper INSTANCE = Mappers.getMapper(TestNoteWrapper.class);
}

