package com.jeeplus.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class JyAudit extends BaseEntity {

    /**
     * 创建人id
     */
    private String createById;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 校审级别
     */
    private String auditLevel;

    /**
     * 审核人
     */
    private String auditPeople;

    /**
     * 项目审核通过时间
     */
    private Date projectAgreeTime;

    /**
     * 初始审核意见
     */
    private String initialAuditOpinion;

    /**
     * 初始修改意见
     */
    private String initialEditOpinion;

    /**
     * 审核意见
     */
    private String auditOpinion;

    /**
     * 修改意见
     */
    private String editOpinion;

    /**
     * 流程id,流程信息
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 超期状态(0:未超期;1:超期)
     */
    private String exceedTimeStatus;

    private String projectName;


    private String projectProId;

    private String projectDeId;

    private static final long serialVersionUID = 1L;




}
