package com.jeeplus.assess.program.configuration.projectList.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 新项目管理-项目登记-项目报告号表
 * @TableName program_report_no
 */
@Data
public class ProgramReportNoDto extends BaseDTO {

    public static final String BIZ_CODE = "7";
    public static final String BIZ_CODE_ = "8";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目报告号
     */
    private String reportNo;

    private static final long serialVersionUID = 1L;
}