package com.jeeplus.assess.program.configuration.typeDict.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.program.configuration.typeDict.domain.ProgramTypeDict;
import com.jeeplus.assess.program.configuration.typeDict.service.dto.ProgramTypeDictDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.jeeplus.test.program.configuration.typeDict.domain.ProgramTypeDict
 */
@Mapper
public interface ProgramTypeDictMapper extends BaseMapper<ProgramTypeDict> {

    public IPage<ProgramTypeDictDTO> findList(Page<ProgramTypeDictDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ProgramTypeDict> queryWrapper);

    public ProgramTypeDictDTO queryById(@Param("id") String id);
    @InterceptorIgnore(tenantLine = "true")
    public List<ProgramTypeDictDTO> getList();
}




