package com.jeeplus.assess.program.configuration.typeDict.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * 
 * @TableName program_type_dict
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ProgramTypeDictDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 项目类型名称
     */
    private String type;

    /**
     * 父类型id
     */
    private String parentId;

    /**
     * 序号
     */
    private String sort;

    /**
     * 子类型集合
     */
    List<ProgramTypeDictDTO> childrenList;

    private static final long serialVersionUID = 1L;
}