package com.jeeplus.assess.program.serviceType.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.assess.program.serviceType.domain.ProgramServiceType;
import com.jeeplus.assess.program.serviceType.service.dto.ProgramServiceTypeDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
//@InterceptorIgnore(tenantLine = "true")
public interface ProgramServiceTypeMapper extends BaseMapper<ProgramServiceType> {

    IPage<ProgramServiceTypeDTO> findList(Page<ProgramServiceTypeDTO> page, @Param(Constants.WRAPPER) QueryWrapper<ProgramServiceType> queryWrapper);

    ProgramServiceTypeDTO queryById(@Param("id") String id);

    public List<ProgramServiceTypeDTO> getList();

}




