package com.jeeplus.business.drive.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.drive.domain.DriveAccount;
import com.jeeplus.business.drive.service.dto.DriveAccountDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DriveAccountMapper extends BaseMapper<DriveAccount> {
    @InterceptorIgnore(tenantLine = "true")
    DriveAccountDTO findByApplyId(@Param("applyId") String applyId);

    void updateStatusByApplyId(@Param("applyId")String applyId,@Param("status") String status);
    @InterceptorIgnore(tenantLine = "true")
    void updateInfoById(@Param("driveAccount") DriveAccount driveAccount);
}
