package com.jeeplus.business.drive.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.business.drive.domain.DriveAccount;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.List;

@Data
public class DriveAccountDTO extends BaseDTO<DriveAccount> {
    private static final long serialVersionUID = 1L;

    /**
     * 起使里程数
     */
    private String startMileage;

    /**
     * 截至里程数
     */
    private String endMileage;

    /**
     * 历程总数
     */
    private String mileageCount;

    /**
     * 关联申请表id
     */
    private String applyId;


    /**
     * 流程id
     */
    private String procInsId;
    /**
     * 流程信息
     */
    private String processDefinitionId;
    @TableField(exist = false)
    private String taskId;

    /**
     * 状态
     */
    private String status;

    private List<WorkAttachmentInfo> accountFiles;
}
