package com.jeeplus.business.humanResources.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 员工离职表
 */
@Data
@TableName("staff_dimission")
public class StaffDimission extends BaseEntity {

    //离职原因
    private String reason;

    //离职日期
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date dimissionDate;

    private String status;                //流程状态
    private String procInsId;
    private String processDefinitionId;
}
