package com.jeeplus.business.humanResources.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("staff_user_info")
public class StaffUserInfo extends BaseEntity {

    /**
     * 员工入职日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date inTime;

    /**
     * 用户id
     */
    private String userId;

    private String name;                //姓名
    private String sex;                 //性别
    private String age;                 //年龄
    private String birthday;            //出生日期
    private String politicalOutlook;    //政治面貌
    private String nativePlace;         //籍贯
    private String nation;              //民族
    private String maritalStatus;       //婚姻状况
    private String mobilePhone;         //联系电话
    private String idCard;              //身份证号码
    private String homeAddress;         //家庭住址
    private String permanentAddress;    //常住地址
    private String graduatedFrom;       //毕业院校
    private String speciality;          //专业
    private String startTime;           //开始时间
    private String endTime;             //毕业时间
    private String education;           //学历
    private String educationNature;     //学历性质
    private String graduatedOrNot;      //是否毕业
    private String englishLevel;        //英语等级
    private String ncre;                //计算机等级
    private String department;          //所属部门
    private String remarks;             //备注
    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String onJobStatus;       //在职状态
    private String roleId;            //角色
    private String postId;            //岗位
    private String bankNumber;        //银行账号
    private String email;               //邮箱
    private String fundNumber;          //公积金账号
    private String managerOffice;       //管理部门
    private String timeLimit;   //试用期限



}
