package com.jeeplus.business.humanResources.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.humanResources.domain.JyDimissionProcess;
import com.jeeplus.business.monthly.domain.JyProcess;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyDimissionProcessMapper extends BaseMapper<JyDimissionProcess> {
    @InterceptorIgnore(tenantLine = "true")
    List<JyDimissionProcess> findByDimissionId(@Param("id") String id);
}
