package com.jeeplus.business.inscription.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.inscription.domain.Inscription;
import com.jeeplus.business.inscription.service.dto.InscriptionDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface InscriptionMapper extends BaseMapper<Inscription> {

    IPage<InscriptionDTO> findPageList(@Param(Constants.WRAPPER) QueryWrapper<InscriptionDTO> queryWrapper, Page<InscriptionDTO> page);
    @InterceptorIgnore(tenantLine = "true")
    InscriptionDTO findById(@Param("id") String id);
    @InterceptorIgnore(tenantLine = "true")
    void updateInfoById(@Param("inscription") Inscription inscription);
    @InterceptorIgnore(tenantLine = "true")
    InscriptionDTO findCheckerById(@Param("id") String id);
}
