package com.jeeplus.business.monthly.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.monthly.domain.Monthly;
import com.jeeplus.business.monthly.service.dto.MonthlyDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MonthlyMapper extends BaseMapper<Monthly> {

    IPage<MonthlyDTO> findPageList(@Param(Constants.WRAPPER) QueryWrapper<MonthlyDTO> queryWrapper, Page<MonthlyDTO> page);
    @InterceptorIgnore(tenantLine = "true")
    MonthlyDTO findById(@Param("id") String id);
    @InterceptorIgnore(tenantLine = "true")
    List<MonthlyDTO> getList();
}
