package com.jeeplus.business.notify.domain;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 通知通告-通告范围-部门
 * @TableName plugin_notify_offices
 */
@TableName(value ="jy_plugin_notify_offices")
@Data
public class PluginNotifyOffices extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 部门id
     */
    private String officeId;

    /**
     * 通知id
     */
    private String notifyId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}