package com.jeeplus.business.notify.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jeeplus.business.notify.domain.JyNotifyLog;
import com.jeeplus.business.notify.service.dto.JyNotifyDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyNotifyLogMapper extends BaseMapper<JyNotifyLog> {
    List<JyNotifyLog> findByNotifyId(@Param("size") Integer size, @Param("id") String id);

    JyNotifyLog getByNotifyId(@Param("id")String id, @Param("userId")String id1);

    Integer findLogCount(@Param("id")String id);
}
