/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.business.notify.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.notify.domain.JyNotifyRecord;
import com.jeeplus.business.notify.service.dto.JyNotifyRecordDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 通知通告记录MAPPER接口
 *
 * @author jeeplus
 * @version 2021-05-16
 */
public interface JyNotifyRecordMapper extends BaseMapper <JyNotifyRecord> {

    List <JyNotifyRecordDTO> findListByNotifyId(@Param( "notifyId" ) String notifyId);
}
