/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.business.notify.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.business.notify.domain.JyNotifyRecord;
import com.jeeplus.business.notify.mapper.JyNotifyRecordMapper;
import com.jeeplus.business.notify.service.dto.JyNotifyRecordDTO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 通知通告Service
 *
 * @author jeeplus
 * @version 2021-05-16
 */
@Service
@Transactional
public class JyNotifyRecordService extends ServiceImpl<JyNotifyRecordMapper, JyNotifyRecord> {

    public List<JyNotifyRecordDTO> findListByNotifyId (String notifyId) {
        return baseMapper.findListByNotifyId ( notifyId );
    }
}
