package com.jeeplus.business.notify.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 知识分享评论记录表
 * @TableName plugin_notify_comments
 */
@Data
public class PluginNotifyCommentsDTO extends BaseDTO {

    /**
     * 公告id
     */
    private String notifyId;

    /**
     * 评论人id
     */
    private String userId;

    /**
     * 评论人
     */
    private String userName;

    /**
     * 评论
     */
    private String comments;

    /**
     * 评论距离当前时间
     */
    private String Deff;

    /**
     * 创建人id
     */
    private String createId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}