package com.jeeplus.business.notify.service.dto;
import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 通知通告-通告范围-部门
 * @TableName plugin_notify_offices
 */
@Data
public class PluginNotifyOfficesDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 部门id
     */
    private String officeId;

    /**
     * 通知id
     */
    private String notifyId;

    /**
     * 部门名称
     */
    private String officeName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}