package com.jeeplus.business.program.configuration.projectDict.domain.vo;

import com.jeeplus.business.program.configuration.fileDict.domain.ProgramFileDict;
import lombok.Data;

import java.util.Date;

@Data
public class FileDictVo extends ProgramFileDict {

    private String fileId;

    private String requiredStage;

    /**
     * 是否必填（1：必填；0：非必填）
     */
    private Integer mustFlag;

    /**
     * 层级（树形层级）
     */
    private Integer levelFlag;

    /**
     * 文件上传时间
     */
    private Date uploadDate;
    /**
     * 附件名称
     */
    private String attachmentName;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 附件地址(临时文件地址)
     */
    private String lsUrl;

    /**
     * 附件文件类型
     */
    private String workAttachmentType;

    private String fileSize;

    private Date createDate;

}
