package com.jeeplus.business.project.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.project.domain.JyProjectReportsSubmit;
import com.jeeplus.business.project.service.dto.JyProjectReportsSubmitDTO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


public interface JyProjectReportsSubmitMapper extends BaseMapper<JyProjectReportsSubmit> {

    JyProjectReportsSubmitDTO findById(@Param("id")String id);

    void updateReportsSubmitById(@Param("id") String id, @Param("status") String status);
    @InterceptorIgnore(tenantLine = "true")
    List<JyProjectReportsSubmit> findReportsSubmitListExccedTime(@Param("newDate") Date newDate);
    @InterceptorIgnore(tenantLine = "true")
    void updateExceedTimeStatus(@Param("id")String id, @Param("status")String status, @Param("exceedTimeStatus")String exceedTimeStatus);

    List<JyProjectReportsSubmit> findReportsSubmitListInTime(Date newDate);
}
