package com.jeeplus.business.project.service.dto;

import com.jeeplus.business.workContractInfo.service.dto.JyWorkContractInfoDto;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import lombok.Data;

import java.util.List;

@Data
public class JyProjectArchiveDTO extends BaseDTO {

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 登记状态
     */
    private String status;

    /*
    流程id
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 附件信息
     */
    private List<WorkAttachmentInfoDTO> fileList;

    private JyProjectDTO jyProjectList;

    private JyWorkContractInfoDto jyWorkContractInfoList;

    private static final long serialVersionUID = 1L;


}
