package com.jeeplus.business.project.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.business.project.domain.JyProject;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class JyProjectReportsSubmitDTO {

    private String procInsId;

    private String processDefinitionId;

    private String taskId;
    /**
     * 审核状态
     */
    private String status;

    /**
     * id
     */
    private String id;


    /**
     * 类型(大类)
     */
    private String firstType;

    /**
     * 类型(小类)
     */
    private String type;

    /**
     * 份数
     */
    private Integer number;

    /**
     * 关联项目
     */
    private String projectId;


    /*
    说明
     */
    private String remarks;

    /**
     * 申请人部门
     */
    @TableField(exist = false)
    private String office;

    /**
     * 创建人
     */
    private String createById;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;
    private String createByName;

    /**
     * 修改人
     */
    private String updateById;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateTime;


    /**
     *创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String[] createDates;

    /**
     * 附件
     */
    private List<WorkAttachmentInfo> files;

    private List<JyProject> projectList;
    /**
     * 用印类型集合
     */
    private List<String> types;

    /*
        逾期状态
     */
    private String exceedTimeStatus;

    /**
     * 首次发起时间
     */
    private Date firstSubmitTime;

}
