package com.jeeplus.business.reimbursement.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 嘉溢-报销专用发票信息表
 **/
@Data
@TableName(value = "jy_reimbursement_amount_info")
public class JyReimbursementAmountInfo extends BaseEntity {

    /**
     * 关联id
     */
    private String infoId;

    /**
     * 发票代码
     */
    private String code;

    /**
     * 发票编号
     */
    private String number;

    /**
     * 金额
     */
    private String amount;

    /**
     * 税额
     */
    private String taxAmount;

    /**
     * 价税合计
     */
    private String count;
}
