package com.jeeplus.business.reimbursement.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报销基本信息
 */

@Data
@TableName("jy_reimbursement_info")
public class JyReimbursementInfo extends BaseEntity {

    /**
     * 报销编号
     */
    private String no;

    /**
     * 报销类型
     */
    private String applyType;

    /**
     * 流程信息
     */
    private String procInsId;
    private String processDefinitionId;

    /**
     * 状态
     */
    private String status;

    /**
     * 备注
     */
    private String remarks;

    @TableField(exist = false)
    private String createName;
    @TableField(exist = false)
    private String departmentName;
    @TableField(exist = false)
    private String department;
    @TableField(exist = false)
    private String userId;


}
