package com.jeeplus.business.workClientInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("jy_work_client_linkman")
public class JyWorkClientLinkman extends BaseEntity {

    /**
     * 联系人姓名
     */
    private String name;

    /**
     * 部门
     */
    private String office;

    /**
     * 职务
     */
    private String position;

    /**
     * QQ
     */
    private String qq;

    /**
     * 联系人电话
     */
    private String linkPhone;

    /**
     * 联系人手机
     */
    private String linkMobile;

    /**
     * E-mail
     */
    private String email;

    /**
     * 是否默认联系人
     */
    private String isDefault;

    /**
     * 外键关联客户信息表
     */
    private String clientId;

    @TableField(exist = false)
    private String linkId;
    @TableField(exist = false)
    private String clientName;

}
