package com.jeeplus.business.workClientInfo.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.jeeplus.business.workClientInfo.domain.JyWorkClientBank;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyWorkClientBankMapper extends BaseMapper<JyWorkClientBank> {
    @InterceptorIgnore(tenantLine = "true")
    List<JyWorkClientBank> selectByClientId(@Param(Constants.WRAPPER) QueryWrapper<JyWorkClientBank> wrapper);
}
