package com.jeeplus.business.workContractInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 参与签约方信息
 * @author: 王强
 * @create: 2022-11-15 13:32
 **/
@Data
@TableName(value = "jy_work_contract_participant")
public class JyContractParticipant extends BaseEntity {

    private String customerName;

    private String customerNo;

    private String contractInfoId;
    @TableField(exist = false)
    private String name;
    @TableField(exist = false)
    private String number;

}
