package com.jeeplus.centrecareful;

import com.jeeplus.core.annotation.JeeplusCloudApplication;
import com.jeeplus.sys.domain.Log;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;

/**
 * 中审模块
 *
 * @Author 李狗蛋
 * @Date 2023/6/27 13:38
 * @Blog blog.lijintao.net/996.mba
 * @Description: 中审模块
 */
@EnableCaching
@JeeplusCloudApplication
public class JeeplusCentrecarefulApplication {
    public static void main(String[] args) {
        SpringApplication.run(JeeplusCentrecarefulApplication.class, args);
        System.out.println(" O(∩_∩)O~ 中审模块启动成功 ^_^ﾞ  \n" +
                "    _                         _                                       _                      \n" +
                "   (_)                       | |                                     | |                     \n" +
                "    _    ___    ___   _ __   | |  _   _   ___     ___   _   _   ___  | |_    ___   _ __ ___  \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   / __| | | | | / __| | __|  / _ \\ | '_ ` _ \\ \n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\   \\__ \\ | |_| | \\__ \\ | |_  |  __/ | | | | | |\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/   |___/  \\__, | |___/  \\__|  \\___| |_| |_| |_|\n" +
                "  _/ |               | |                                 __/ |                               \n" +
                " |__/                |_|                                |___/                                ");
    }
}
