package com.jeeplus.finance.invoice.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 财务管理-发票明细
 * @TableName cw_finance_invoice_detail
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("cw_finance_invoice_detail")
public class CwFinanceInvoiceDetail extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 发票代码
     */
    private String code;

    /**
     * 发票号
     */
    private String number;

    /**
     * 开票金额(元)
     */
    private String account;

    /**
     * 税率
     */
    private String rate;

    /**
     * 金额
     */
    private String amount;

    /**
     * 税额
     */
    private String tax;

    /**
     * 累计登记金额
     */
    private String allAmount;

    private static final long serialVersionUID = 1L;
}
