package com.jeeplus.finance.projectRecords.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 财务工时管理表
 * @author: 徐滕
 * @version: 2022-12-06 16:34
 */
@Data
@TableName("cw_man_hour_management")
public class CwManHourManagement extends BaseEntity {

    private String projectId;   //项目id
    private Date planStartDate; //计划开始时间
    private Date planEndDate;   //计划结束时间
    private String status;  //工时确认状态

    private String projectName; //项目名称
    private String projectNumber;   //项目编号
    private String projectMasterId; //项目经理
}
