package com.jeeplus.finance.projectRecords.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 项目被服务单位数据表
 * @author: 徐滕
 * @version: 2022-11-10 16:16
 */

@Data
public class CwProjectClientInfoDTO extends BaseDTO {
    private static final long serialVersionUID = 1L;

    private String projectId;       //项目id
    private String clientId;        //客户id
    private String clientNumber;    //客户编号
    private String clientName;      //客户名称
    private String companyLevel;    //客户层级
}
