package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReportSignature;
import com.jeeplus.finance.projectReport.domain.CwSignatureAnnotator;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Entity com.jeeplus.test.cw.projectReport.domain.CwProjectReportSignature
 */
@Mapper
public interface CwProjectReportSignatureMapper extends BaseMapper<CwProjectReportSignature> {
    @InterceptorIgnore(tenantLine = "true")
    CwProjectReportSignature getInfoById(String id);

    @InterceptorIgnore(tenantLine = "true")
    void updateInfoById(CwProjectReportSignature info);

    List<CwSignatureAnnotator> getSignatureAnnotatorList(String reportId);
}




