package com.jeeplus.finance.projectReport.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 财务-项目报告-签章流程表
 * @TableName cw_project_report_signature
 */
@Data
public class CwProjectReportSignatureDTO extends BaseDTO {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 报告id
     */
    private String reportId;

    /**
     * 签章类型：1公章  2公章+执业章
     */
    private String type;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     * 状态
     */
    private String status;

    /**
     *
     */
    private String processDefinitionId;

    private static final long serialVersionUID = 1L;
}
