package com.jeeplus.finance.projectReportArchive.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-项目报告归档-审计报告
 * @TableName cw_project_report_archive_report
 */
@Data
@TableName("cw_project_report_archive_report")
public class CwProjectReportArchiveReport extends BaseEntity {

    /**
     * 审计意见
     */
    private String remarks;

    /**
     * 项目归档id
     */
    private String archiveId;

    /**
     * 报告id
     */
    private String reportId;

    private static final long serialVersionUID = 1L;
}
