package com.jeeplus.finance.projectReportArchive.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.finance.projectReportArchive.service.dto.WorkAttachmentArchiveDto;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-27 13:53
 **/
@Data
@TableName("cw_project_report_borrow")
public class CwProjectReportBorrow extends BaseEntity {

    /**
     * 附件
     */
    @TableField(exist = false)
    private List<WorkAttachmentArchiveDto> WorkAttachmentDtoList;

    private String archiveId;

    private String procInsId;

    private String processDefinitionId;

    private String projectName;

    private String reportNo;

    private String clientName;

    private String borrowName;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowData;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date borrowRetData;

    private String remarks;

    private String borrowType;

}
