package com.jeeplus.finance.projectReportAuditSheet.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.TreeEntity;
import lombok.Data;

@Data
@TableName(value = "cw_proofread_type")
public class CwProofreadType extends TreeEntity<CwProofreadType> {

    /**
     * 类型1自检2浏览审核记录
     */
    private String type;

    /**
     * 父节点id
     */
    private String parentId;

    /**
     * 父节点id集合
     */
    private String parentIds;

    /**
     * 层级
     */
    private String level;

    /**
     * 名称
     */
    private String name;

    /**
     * 排序
     */
    private Integer sort;

}
