package com.jeeplus.finance.projectReportAuditSheet.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.core.domain.TreeMapper;
import com.jeeplus.finance.projectReport.domain.CwProofreadDetail;
import com.jeeplus.finance.projectReportAuditSheet.domain.CwProofreadType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-08 09:19
 **/
//@InterceptorIgnore(tenantLine = "true")
public interface CwProofreadTypeMapper extends BaseMapper<CwProofreadType>, TreeMapper<CwProofreadType> {
    @InterceptorIgnore(tenantLine = "true")
    List<CwProofreadDetail> prooList(@Param("type")String type);

    Integer checkNameIsExist(@Param("parentId")String parentId, @Param("name") String name, @Param("type")String type);

    Integer getNo(@Param("parentId") String parentId, @Param("type")String type);

    Integer getLevel(@Param("parentId") String parentId, @Param("type")String type);
}
