package com.jeeplus.finance.reimbursementApproval.approvalInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName(value = "cw_reimbursement_detail_info_other")
public class CwReimbursementDetailInfoOther extends BaseEntity {

    /**
     * 关联id
     */
    private String infoId;

    /**
     * 报销人
     */
    private String userId;

    /**
     * 报销人名称
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 报销部门
     */
    private String deptId;

    /**
     * 报销部门名称
     */
    @TableField(exist = false)
    private String deptName;

    /**
     * 报销类型
     */
    private String typeId;

    /**
     * 报销类型名称
     */
    @TableField(exist = false)
    private String typeName;

    /**
     * 报告号
     */
    private String reportNumber;

    /**
     * 费用(元)
     */
    private String number;

    /**
     * 收据张数
     */
    private Integer receiptNumber;

    /**
     * 出差天数
     */
    private Integer days;

    /**
     * 内容
     */
    private String content;

    /**
     * 报销项目
     */
    private String projectId;

    /**
     * 报销项目名称
     */
    private String projectName;
}
