package com.jeeplus.finance.reportCancellApply.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报告文号报废表
 * @author: 王强
 * @create: 2022-11-18 17:34
 **/
@Data
@TableName("cw_project_report_cancell_apply")
public class ReportCancellApply extends BaseEntity {

    /**
     * 项目编号
     */
    @TableField(exist = false)
    private String projectNumber;

    /**
     * 创建人
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 报告所属部门
     */
    @TableField(exist = false)
    private String departmentName;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;

    /**
     * 报告主办人
     */
    @TableField(exist = false)
    private String reportSponsor;

    /**
     * 报告申请单号
     */
    @TableField(exist = false)
    private String documentNo;

    /**
     * 单据状态（报告流程status为5的）
     */
    @TableField(exist = false)
    private String documentStatus;

    /**
     * 项目经理姓名
     */
    @TableField(exist = false)
    private String projectMasterName;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 新建行id report_new_line_id
     */
    private String reportNewLineId;

    /**
     * 作废原因
     */
    private String cancellateReason;

    /**
     * 报告文号
     */
    private String reportNo;

    /**
     * 状态
     */
    private String status;

}
