package com.jeeplus.finance.workClientInfo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户信息管理-管理级次分类
 * @TableName cw_manage_level_type
 */
@Data
@TableName("cw_manage_level_type")
public class CwManageLevelType extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 父ids
     */
    private String parentIds;

    private static final long serialVersionUID = 1L;
}
