package com.jeeplus.finance.workClientInfo.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 财务-客户信息管理-组织类型分类
 * @TableName cw_organization_type
 */
@Data
@TableName("cw_organization_type")
public class CwOrganizationType extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private Integer level;

    /**
     * 排序
     */
    private String sort;

    /**
     * 父ids
     */
    private String parentIds;

    private static final long serialVersionUID = 1L;
}
