package com.jeeplus.finance.workClientInfo.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.util.List;

/**
 * 财务-客户信息管理-组织类型分类
 * @TableName cw_organization_type
 */
@Data
public class CwOrganizationTypeDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 父id
     */
    private String parentId;

    /**
     * 等级
     */
    private String level;

    /**
     * 排序
     */
    private String sort;

    /**
     * 父ids
     */
    private String parentIds;

    /**
     * 子集合
     */
    private List<CwOrganizationTypeDTO> childrenList;

    private static final long serialVersionUID = 1L;
}
