package com.jeeplus.flowable.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "my_notice_list")
public class MyNoticeList extends BaseEntity {

    /**
     * 流程id
     */
    private String taskId;

    /**
     * 实例标题
     */
    private String title;

    /**
     * 流程id
     */
    private String defId;

    /**
     * 流程名称
     */
    private String taskName;

    /**
     * 当前环节
     */
    private String link;

    /**
     * 创建人名称
     */
    private String createUser;

//    /**
//     * 创建时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date createTime;

    /**
     * 通知人名称
     */
    private String noticeName;

    /**
     * 通知人id
     */
    private String noticeId;

    /**
     * 读取状态
     */
    private String type;

    /**
     * 重复数量
     */
    private Integer repetitionCount;

}
