package com.jeeplus.pubmodules.supplier.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.pubmodules.supplier.domain.MaterialSupplier;
import com.jeeplus.pubmodules.supplier.service.dto.MaterialSupplierDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface MaterialSupplierMapper extends BaseMapper<MaterialSupplier> {
    @InterceptorIgnore(tenantLine = "true")
    IPage<MaterialSupplierDTO> findList(Page<MaterialSupplierDTO> page, @Param(Constants.WRAPPER) QueryWrapper<MaterialSupplier> queryWrapper);

    MaterialSupplierDTO queryById(@Param("id") String id);

}
