package com.jeeplus.pubmodules.supplier.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

/**
 * 物资-供应商-联系人
 */
@Data
public class MaterialSupplierLinkDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 联系人姓名
     */
    private String name;

    /**
     * 部门
     */
    private String office;

    /**
     * 职务
     */
    private String position;

    /**
     * 性别
     */
    private String sex;

    /**
     * 联系方式1
     */
    private String linkPhone;

    /**
     * 联系方式2
     */
    private String linkMobile;

    /**
     * E-mail
     */
    private String email;

    /**
     * 供应商id
     */
    private String supplierId;

    private static final long serialVersionUID = 1L;
}
