package com.jeeplus.pubmodules.wareHouse.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 物资管理-入库汇总表
 * @author: 王强
 * @create: 2022-12-29 16:33
 **/
@Data
@TableName("material_management_warehouse_summary")
public class WareHouseSummary extends BaseEntity {

    /**
     * 入库基础表id
     */
    private String detailedId;

    /**
     * 入库类型
     */
    private String wareHouseType;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 商品数量
     */
    private String tradeNumber;
}
