package com.jeeplus.pubmodules.wareHouse.domain;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 入库数据修改历史表
 * @TableName material_management_warehouse_up_hi
 */
@TableName(value ="material_management_warehouse_up_hi")
@Data
public class WarehouseUpHi extends BaseEntity {

    /**
     * 备注
     */
    private String remarks;

    /**
     * 入库id
     */
    private String warehouseId;

    /**
     * json数据
     */
    private String jsonData;

    /**
     * 标记  0为原数据 1为已完成数据
     */
    private String endflag;

    /**
     * 修改申请人
     */
    private String updateUser;

    /**
     * 修改数据的商品名称
     */
    private String updateTradeName;

    /**
     * 修改数据的商品类型
     */
    private String updateTradeType;

    /**
     * 创建人姓名
     */
    @TableField(exist = false)
    private String createName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
