package com.jeeplus.mail.feign;

import com.jeeplus.mail.service.MailService;
import com.jeeplus.sys.service.dto.UserDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class MailApiImpl implements IMailApi {

    @Autowired
    private MailService mailService;

    @Override
    public void sendEmail(List <UserDTO> receivers, String title, String content) {
        mailService.sendEmail ( receivers, title, content );
    }
}
