/**
 * Copyright &copy; 2021-2026 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.sys.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.sys.domain.Cert;
import com.jeeplus.sys.mapper.CertMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 人员执业资格证书管理
 */
@Service
@Transactional
public class CertService extends ServiceImpl<CertMapper, Cert> {

	@Autowired
	private CertMapper certMapper;
}
