/**
        * Copyright © 2021-2025 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
        */
        package com.jeeplus.test.activiti.service.dto;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 请假Entity
 * @author 刘高峰
 * @version 2023-03-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TestActivitiLeaveDTO extends BaseDTO {

	private static final long serialVersionUID = 1L;

	/**
     * 流程实例编号
     */
	private String procInsId;
	/**
     * 请假类型
     */
	private String leaveType;
	/**
     * 请假开始时间
     */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startTime;
	/**
     * 请假结束时间
     */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endTime;
	/**
     * 请假事由
     */
	private String reason;
	/**
     * 创建时间
     */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createDate;
	/**
     * 更新时间
     */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateDate;
	/**
     * 备注信息
     */
	private String remarks;

}
