package com.jeeplus;

import com.jeeplus.core.annotation.JeeplusCloudApplication;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cache.annotation.EnableCaching;

/**
 * wps模块
 *
 * @author jeeplus
 */


@EnableCaching
@MapperScan("com.jeeplus.**.mapper.**")
@JeeplusCloudApplication
public class JeeplusWpsApplication {
    public static void main(String[] args) {
        SpringApplication.run ( JeeplusWpsApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 报表模块启动成功 ^_^ﾞ  \n" + "    _                         _                                          \n" +
                "   (_)                       | |                                         \n" +
                "    _    ___    ___   _ __   | |  _   _   ___    __      __  _ __    ___ \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|   \\ \\ /\\ / / | '_ \\  / __|\n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\    \\ V  V /  | |_) | \\__ \\\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/     \\_/\\_/   | .__/  |___/\n" +
                "  _/ |               | |                                    | |          \n" +
                " |__/                |_|                                    |_|          " );
    }

}
