package com.jeeplus.domain;


import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.core.domain.BaseEntity;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class MonthlyDTO extends BaseEntity {

    private String createById;
    /**
     * 月报名称
     */

    private String name;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 是否提交 0:未提交  1:已提交
     */
    private String ifsubmit;


    /**
     * 发起人部门
     */
    private String officeId;

    /**
     * 发起时间
     */
    private String[] createDates;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 月报时间(年月)
     */

    private String monthDate;

    /**
     * 项目情况
     */
    private String projectStatus;




    private String createName;

    private String officeName;


    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date createTime;
}
