package com.xxl.job.executor;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author xuxueli 2018-10-28 00:38:13
 */
@SpringBootApplication
@EnableFeignClients
@EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class})
public class XxlJobExecutorApplication {

    public static void main(String[] args) {
        SpringApplication.run ( XxlJobExecutorApplication.class, args );
        System.out.println ( " O(∩_∩)O~ 计划任务模块启动成功 ^_^ﾞ  \n" + "    _                         _                     _           _     \n" +
                "   (_)                       | |                   (_)         | |    \n" +
                "    _    ___    ___   _ __   | |  _   _   ___       _    ___   | |__  \n" +
                "   | |  / _ \\  / _ \\ | '_ \\  | | | | | | / __|     | |  / _ \\  | '_ \\ \n" +
                "   | | |  __/ |  __/ | |_) | | | | |_| | \\__ \\     | | | (_) | | |_) |\n" +
                "   | |  \\___|  \\___| | .__/  |_|  \\__,_| |___/     | |  \\___/  |_.__/ \n" +
                "  _/ |               | |                          _/ |                \n" +
                " |__/                |_|                         |__/                 " );
    }

}
